#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.sync_with_stdio(0);
    cin.tie(0);
    string a,b,c;
    cin>>a>>b>>c;
    vector<string> x(6);
    x[0]=a+b+c;
    x[1]=a+c+b;
    x[2]=b+a+c;
    x[3]=b+c+a;
    x[4]=c+a+b;
    x[5]=c+b+a;
    int n=x[0].length();
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<x.size();j++)
        {
            for(int k=j+1;k<x.size();k++)
            {
            if(x[j][i]-'0'>x[k][i]-'0')
            {
                x.erase(x.begin()+k);
                k--;
            }
            else if(x[j][i]-'0'<x[k][i]-'0')
            {
                 x.erase(x.begin()+j);
                 k--;
            }
            else
            {

            }
            }
        }
    }
    cout<<x[0]<<endl;

    return 0;
}